Summary:	Application to launch khelpcenter or change khelpcenter page.
Name:		mdklaunchhelp	
Version:	9.1
Release:	3mdk
Epoch:		2
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			mdklaunchhelp-%version.tar.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	XFree86-devel
BuildRequires:	libarts-devel
BuildRequires:	fam-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libqt3-devel
BuildRequires:	zlib-devel

Summary:	khelpcenter launcher for mandrake tools
Group:		Graphical desktop/KDE
Requires:	kdebase

%description
This package allows to launch khelpcenter or change khelpcenter page.

%prep

%setup -q

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

	./configure \
        --prefix=%_prefix \
		--libdir=%_libdir \
        --enable-final \
		--disable-debug \
		--with-xinerama \
		--disable-rpath

%make

%install
rm -rf %buildroot

%makeinstall_std



%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot



%files
%defattr(-,root,root)
#
%_bindir/*
#


%changelog
* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Fix makefile to support make rpm

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-2mdk
- Fix summary

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- Initial package
